Introduction Service brokers manage the lifecycle of services. The IBM Cloud® platform interacts with service brokers to provision and manage instances and service bindings. Instances are an instantiation of an offering. Service bindings are the representation of an association between an application and a service instance, which often contains the credentials that the application uses to communicate with the service instance. Valid metadata values create a successful REST API response when a request is run. For more information, see Developing and hosting your service brokershttps://cloud.ibm.com/docs/sell?topic=sell-step3-osb. SDKs for Java, Node, Python, and Go are available to make it easier to programmatically access the API from your code. The client libraries that are provided by the SDKs implement best practices for using the API and reduce the amount of code that you need to write. The tab for each language includes code examples that demonstrate how to use the client libraries. For more information about using the SDKs, see the IBM Cloud SDK Common projecthttps://github.com/IBM/ibm-cloud-sdk-common on GitHub. Installing the Java SDK Maven xml Method Path Summary PUT /v2/service_instances/{instance_id} Create (provision) a service instance PATCH /v2/service_instances/{instance_id} Update a service instance DELETE /v2/service_instances/{instance_id} Delete (deprovision) a service instance GET /bluemix_v1/service_instances/{instance_id} Get the current state of the service instance PUT /bluemix_v1/service_instances/{instance_id} Update the state of a provisioned service instance GET /v2/service_instances/{instance_id}/last_operation Get the status of an `in progress` operation for a service instance PUT /v2/service_instances/{instance_id}/service_bindings/{binding_id} Bind a service instance to another resource DELETE /v2/service_instances/{instance_id}/service_bindings/{binding_id} Delete (unbind) the credentials that are bound to a resource GET /v2/catalog Get the catalog metadata stored within the broker